--- src/hugin/ImagesPanel.cpp.orig	Fri Dec 22 12:42:36 2006
+++ src/hugin/ImagesPanel.cpp	Tue Feb  6 11:48:58 2007
@@ -118,9 +118,6 @@
 
     m_img_ctrls->FitInside();
     m_img_ctrls->SetScrollRate(10, 10);
-#ifdef USE_WX26x
-    m_img_splitter->SetSashGravity(1);
-#endif
     m_img_splitter->SetMinimumPaneSize(200);
 #endif
 
@@ -184,6 +181,9 @@
     int sP = wxConfigBase::Get()->Read(wxT("/ImageFrame/sashPos"),winHeight/2);
     m_img_splitter->SetSashPosition(sP);
     DEBUG_INFO( "image panel: " << winWidth <<"x"<< winHeight << " sash pos: " << sP);
+#ifdef USE_WX26x
+    m_img_splitter->SetSashGravity(1);
+#endif
 #endif
 
 }
@@ -624,9 +624,9 @@
         for (UIntSet::const_iterator it = selImg.begin();
              it != selImg.end(); ++it )
         {
-            vars[i].insert(make_pair("y", Variable("y",0.0)));
-            vars[i].insert(make_pair("p", Variable("p",0.0)));
-            vars[i].insert(make_pair("r", Variable("r",0.0)));
+            vars[i].insert(make_pair((char *) "y", Variable("y",0.0)));
+            vars[i].insert(make_pair((char *) "p", Variable("p",0.0)));
+            vars[i].insert(make_pair((char *) "r", Variable("r",0.0)));
             i++;
         }
         GlobalCmdHist::getInstance().addCommand(
