--- src/hugin_base/panodata/StandardImageVariableGroups.cpp.orig	2018-01-05 20:43:20 UTC
+++ src/hugin_base/panodata/StandardImageVariableGroups.cpp
@@ -45,7 +45,9 @@ const ConstImageVariableGroup::ImageVari
                ImageVariableGroup::IVE_Gamma,
                ImageVariableGroup::IVE_WhiteBalanceRed,
                ImageVariableGroup::IVE_WhiteBalanceBlue,
-               ImageVariableGroup::IVE_RadialDistortion,
+               ImageVariableGroup::IVE_RadialDistortionA,
+               ImageVariableGroup::IVE_RadialDistortionB,
+               ImageVariableGroup::IVE_RadialDistortionC,
                ImageVariableGroup::IVE_RadialDistortionRed,
                ImageVariableGroup::IVE_RadialDistortionBlue,
                ImageVariableGroup::IVE_RadialDistortionCenterShift,
@@ -61,8 +63,11 @@ const ConstImageVariableGroup::ImageVari
  *  the offset on the second construtor argument is the size of the array.
  */
 const std::set<ConstImageVariableGroup::ImageVariableEnum> lens_variables_set =
-    std::set<ConstImageVariableGroup::ImageVariableEnum>(lens_variables_array,
-                                                         lens_variables_array + 18);
+    std::set<ConstImageVariableGroup::ImageVariableEnum>(
+        lens_variables_array,
+        lens_variables_array 
+        + sizeof(lens_variables_array) / sizeof(*lens_variables_array)
+    );
 
 
 /** The image variables that are specific to stack. These are by default linked
