--- CMakeModules/FindLAPACK.cmake.orig	2018-11-16 14:12:16 UTC
+++ CMakeModules/FindLAPACK.cmake
@@ -28,6 +28,14 @@ FIND_LIBRARY(LAPACK_G2C_LIBRARY
         ${SOURCE_BASE_DIR}/lapack
   )
 
+FIND_LIBRARY(LAPACK_GF_LIBRARY
+  NAMES gfortran
+  PATHS /usr/lib
+        /usr/local/lib/gcc43
+        ${SOURCE_BASE_DIR}/
+        ${SOURCE_BASE_DIR}/lapack
+  )
+
 IF(LAPACK_LAPACK_LIBRARY)
   IF(LAPACK_BLAS_LIBRARY)
     SET(LAPACK_LIBRARIES ${LAPACK_BLAS_LIBRARY})
@@ -35,6 +43,9 @@ IF(LAPACK_LAPACK_LIBRARY)
   IF(LAPACK_G2C_LIBRARY)
     SET(LAPACK_LIBRARIES ${LAPACK_LIBRARIES} ${LAPACK_G2C_LIBRARY})
   ENDIF(LAPACK_G2C_LIBRARY)
+  IF(LAPACK_GF_LIBRARY)
+    SET(LAPACK_LIBRARIES ${LAPACK_LIBRARIES} ${LAPACK_GF_LIBRARY})
+  ENDIF(LAPACK_GF_LIBRARY)
 
   SET( LAPACK_FOUND "YES" )
   SET(LAPACK_LIBRARIES ${LAPACK_LAPACK_LIBRARY} ${LAPACK_LIBRARIES})
