--- src/hugin1/hugin/MaskImageCtrl.cpp.orig	2020-01-08 14:35:27 UTC
+++ src/hugin1/hugin/MaskImageCtrl.cpp
@@ -1414,12 +1414,13 @@ void MaskImageCtrl::rescaleImage()
     if (m_imgRotation == ROT90 || m_imgRotation == ROT270)
     {
         SetVirtualSize(m_imageSize.GetHeight(), m_imageSize.GetWidth());
+        SetScrollRate(std::max<int>(1, m_bitmap.GetHeight() / 75), std::max<int>(1, m_bitmap.GetWidth() / 75));
     }
     else
     {
         SetVirtualSize(m_imageSize.GetWidth(), m_imageSize.GetHeight());
+        SetScrollRate(std::max<int>(1, m_bitmap.GetWidth() / 75), std::max<int>(1, m_bitmap.GetHeight() / 75));
     };
-    SetScrollRate(std::max<int>(1, m_bitmap.GetWidth() / 75), std::max<int>(1, m_bitmap.GetHeight() / 75));
     Refresh(true);
 };
 
