--- src/hugin_base/panodata/SrcPanoImage.cpp.orig	2020-01-08 14:35:27 UTC
+++ src/hugin_base/panodata/SrcPanoImage.cpp
@@ -44,10 +44,6 @@
 #include <lensdb/LensDB.h>
 #include "Exiv2Helper.h"
 
-#ifdef __FreeBSD__
-#define log2(x)        (log(x) / M_LN2)
-#endif /* __FreeBSD__ */
-
 #include "ImageVariableTranslate.h"
 
 namespace HuginBase {
@@ -716,7 +712,10 @@ bool SrcPanoImage::readProjectionFromDB(const bool ign
                         if (dist.size() == 3)
                         {
                             dist.push_back(1.0 - dist[0] - dist[1] - dist[2]);
-                            setRadialDistortion(dist);
+                            setRadialDistortionA(dist[0]);
+                            setRadialDistortionB(dist[1]);
+                            setRadialDistortionC(dist[2]);
+                            setRadialDistortionD(dist[3]);
                         };
                     };
                 };
@@ -751,7 +750,10 @@ bool SrcPanoImage::readDistortionFromDB()
             if(dist.size()==3)
             {
                 dist.push_back(1.0-dist[0]-dist[1]-dist[2]);
-                setRadialDistortion(dist);
+                setRadialDistortionA(dist[0]);
+                setRadialDistortionB(dist[1]);
+                setRadialDistortionC(dist[2]);
+                setRadialDistortionD(dist[3]);
                 return true;
             };
         };
