--- src/hugin1/hugin/LensPanel.cpp.orig	2012-03-07 06:12:18.000000000 +0000
+++ src/hugin1/hugin/LensPanel.cpp	2012-07-20 10:56:22.410720041 +0000
@@ -108,6 +108,8 @@
     EVT_BUTTON ( XRCID("lens_button_reset"), LensPanel::OnReset )
     EVT_CHECKBOX ( XRCID("lens_inherit_v"), LensPanel::OnVarInheritChanged )
     EVT_CHECKBOX ( XRCID("lens_inherit_a"), LensPanel::OnVarInheritChanged )
+    EVT_CHECKBOX ( XRCID("lens_inherit_b"), LensPanel::OnVarInheritChanged )
+    EVT_CHECKBOX ( XRCID("lens_inherit_c"), LensPanel::OnVarInheritChanged )
     EVT_CHECKBOX ( XRCID("lens_inherit_d"), LensPanel::OnVarInheritChanged )
     EVT_CHECKBOX ( XRCID("lens_inherit_g"), LensPanel::OnVarInheritChanged )
     EVT_CHECKBOX ( XRCID("lens_inherit_Eev"), LensPanel::OnVarInheritChanged )
@@ -303,8 +305,7 @@
                 m_XRCCTRL(*this, wxString(wxT("lens_inherit_")).append(wxString(*varname, wxConvLocal)), wxCheckBox)->SetValue(linked);
             }
         }
-        else if (((*varname)[0] != 'b' && (*varname)[0] != 'c' &&
-                  (*varname)[0] != 'e' && (*varname)[0] != 't' &&
+        else if (((*varname)[0] != 'e' && (*varname)[0] != 't' &&
                   (*varname)[0] != 'y') || (*varname)[1] != '\0')
         {
             m_XRCCTRL(*this, wxString(wxT("lens_inherit_")).append(wxString(*varname, wxConvLocal)), wxCheckBox)->SetValue(linked);
@@ -521,8 +522,12 @@
         DEBUG_TRACE ("");
         // Which variable should be linked or unlinked?
         HuginBase::ImageVariableGroup::ImageVariableEnum varname;
-        if (e.GetId() == XRCID("lens_inherit_a") || e.GetId() == XRCID("lens_inherit_b") || e.GetId() == XRCID("lens_inherit_c")) {
-            varname = HuginBase::ImageVariableGroup::IVE_RadialDistortion;
+        if (e.GetId() == XRCID("lens_inherit_a")) {
+            varname = HuginBase::ImageVariableGroup::IVE_RadialDistortionA;
+        } else if (e.GetId() == XRCID("lens_inherit_b")) {
+            varname = HuginBase::ImageVariableGroup::IVE_RadialDistortionB;
+        } else if (e.GetId() == XRCID("lens_inherit_c")) {
+            varname = HuginBase::ImageVariableGroup::IVE_RadialDistortionC;
         } else if (e.GetId() == XRCID("lens_inherit_d") || e.GetId() == XRCID("lens_inherit_e")) {
             varname = HuginBase::ImageVariableGroup::IVE_RadialDistortionCenterShift;
         } else if (e.GetId() == XRCID("lens_inherit_g") || e.GetId() == XRCID("lens_inherit_t")) {
@@ -616,6 +621,8 @@
         XRCCTRL(*this, "lens_val_Re", wxTextCtrl)->Disable();
         XRCCTRL(*this, "lens_inherit_v", wxCheckBox)->Disable();
         XRCCTRL(*this, "lens_inherit_a", wxCheckBox)->Disable();
+        XRCCTRL(*this, "lens_inherit_b", wxCheckBox)->Disable();
+        XRCCTRL(*this, "lens_inherit_c", wxCheckBox)->Disable();
         XRCCTRL(*this, "lens_inherit_d", wxCheckBox)->Disable();
         XRCCTRL(*this, "lens_inherit_g", wxCheckBox)->Disable();
         XRCCTRL(*this, "lens_inherit_Eev", wxCheckBox)->Disable();
@@ -662,6 +669,8 @@
             XRCCTRL(*this, "lens_val_Re", wxTextCtrl)->Enable();
             XRCCTRL(*this, "lens_inherit_v", wxCheckBox)->Enable();
             XRCCTRL(*this, "lens_inherit_a", wxCheckBox)->Enable();
+            XRCCTRL(*this, "lens_inherit_b", wxCheckBox)->Enable();
+            XRCCTRL(*this, "lens_inherit_c", wxCheckBox)->Enable();
             XRCCTRL(*this, "lens_inherit_d", wxCheckBox)->Enable();
             XRCCTRL(*this, "lens_inherit_g", wxCheckBox)->Enable();
             XRCCTRL(*this, "lens_inherit_Eev", wxCheckBox)->Enable();
@@ -706,6 +715,8 @@
             XRCCTRL(*this, "lens_val_Re", wxTextCtrl)->Clear();
             XRCCTRL(*this, "lens_inherit_v", wxCheckBox)->SetValue(false);
             XRCCTRL(*this, "lens_inherit_a", wxCheckBox)->SetValue(false);
+            XRCCTRL(*this, "lens_inherit_b", wxCheckBox)->SetValue(false);
+            XRCCTRL(*this, "lens_inherit_c", wxCheckBox)->SetValue(false);
             XRCCTRL(*this, "lens_inherit_d", wxCheckBox)->SetValue(false);
             XRCCTRL(*this, "lens_inherit_g", wxCheckBox)->SetValue(false);
             XRCCTRL(*this, "lens_inherit_Eev", wxCheckBox)->SetValue(false);
