--- src/hugin1/hugin/OverviewOutlinesTool.h.orig	2018-11-16 14:12:16 UTC
+++ src/hugin1/hugin/OverviewOutlinesTool.h
@@ -121,12 +121,12 @@ class PanosphereOverviewOutlinesTool : public Overview
 
         PanosphereOverviewOutlinesTool(PanosphereOverviewToolHelper* helper, GLViewer * preview) : OverviewOutlinesTool(helper, preview), PanosphereOverviewTool(helper) {}
 
-        void Activate();
-        void AfterDrawImagesBackEvent();
-        void AfterDrawImagesFrontEvent();
+        virtual void Activate() override;
+        virtual void AfterDrawImagesBackEvent() override;
+        virtual void AfterDrawImagesFrontEvent() override;
 
 
-        void drawBackground();
+        virtual void drawBackground() override;
         virtual void MarkDirty() override;
 };
 
@@ -136,10 +136,10 @@ class PlaneOverviewOutlinesTool : public OverviewOutli
 
         PlaneOverviewOutlinesTool(PlaneOverviewToolHelper* helper, GLViewer * preview) : OverviewOutlinesTool(helper, preview), PlaneOverviewTool(helper) {}
 
-        void Activate();
-        void AfterDrawImagesEvent();
+        virtual void Activate() override;
+        virtual void AfterDrawImagesEvent() override;
 
-        void drawBackground();
+        virtual void drawBackground() override;
         virtual void MarkDirty() override;
 };
 
