--- src/hugin_base/lensdb/LensDB.cpp.orig	2018-11-16 14:12:16 UTC
+++ src/hugin_base/lensdb/LensDB.cpp
@@ -2640,7 +2640,11 @@ bool SaveLensDataFromPano(const HuginBase::Panorama& p
                 const double newFocallength = SrcPanoImage::calcFocalLength(img0.getProjection(), img0.getHFOV(), img0.getCropFactor(), img0.getSize());
                 const double newHFOV = SrcPanoImage::calcHFOV(img0.getProjection(), newFocallength, img0.getCropFactor(), vigra::Size2D(3000, 2000));
                 success = success | lensDB.SaveLensFov(lensname, focal, newHFOV);
-                const std::vector<double> dist = img0.getRadialDistortion();
+                std::vector<double> dist(4);
+                dist[0] = img0.getRadialDistortionA();
+                dist[1] = img0.getRadialDistortionB();
+                dist[2] = img0.getRadialDistortionC();
+                dist[3] = img0.getRadialDistortionD();
                 if (dist.size() == 4)
                 {
                     // check if values are plausible
