--- src/hugin_base/panodata/StandardImageVariableGroups.cpp.orig	2018-11-16 14:23:52 UTC
+++ src/hugin_base/panodata/StandardImageVariableGroups.cpp
@@ -42,7 +42,9 @@ const ConstImageVariableGroup::ImageVariableEnum lens_
                ImageVariableGroup::IVE_ResponseType,
                ImageVariableGroup::IVE_EMoRParams,
                ImageVariableGroup::IVE_Gamma,
-               ImageVariableGroup::IVE_RadialDistortion,
+               ImageVariableGroup::IVE_RadialDistortionA,
+               ImageVariableGroup::IVE_RadialDistortionB,
+               ImageVariableGroup::IVE_RadialDistortionC,
                ImageVariableGroup::IVE_RadialDistortionRed,
                ImageVariableGroup::IVE_RadialDistortionBlue,
                ImageVariableGroup::IVE_RadialDistortionCenterShift,
@@ -58,8 +60,11 @@ const ConstImageVariableGroup::ImageVariableEnum lens_
  *  the offset on the second construtor argument is the size of the array.
  */
 const std::set<ConstImageVariableGroup::ImageVariableEnum> lens_variables_set =
-    std::set<ConstImageVariableGroup::ImageVariableEnum>(lens_variables_array,
-                                                         lens_variables_array + 15);
+    std::set<ConstImageVariableGroup::ImageVariableEnum>(
+        lens_variables_array,
+        lens_variables_array 
+        + sizeof(lens_variables_array) / sizeof(*lens_variables_array)
+    );
 
 
 /** The image variables that are specific to stack. These are by default linked
