--- src/hugin_base/panotools/PanoToolsInterface.cpp.orig	2018-11-16 14:23:52 UTC
+++ src/hugin_base/panotools/PanoToolsInterface.cpp
@@ -90,9 +90,9 @@ void Transform::createInvTransform(const SrcPanoImage 
     VariableMap vars;
     // not very nice, but I don't like to change all the stuff in this file..
     vars.insert(make_pair(std::string("v"), Variable(std::string("v"), src.getHFOV())));
-    vars.insert(make_pair(std::string("a"), Variable("a", src.getRadialDistortion()[0])));
-    vars.insert(make_pair(std::string("b"), Variable("b", src.getRadialDistortion()[1])));
-    vars.insert(make_pair(std::string("c"), Variable("c", src.getRadialDistortion()[2])));
+    vars.insert(make_pair(std::string("a"), Variable("a", src.getRadialDistortionA())));
+    vars.insert(make_pair(std::string("b"), Variable("b", src.getRadialDistortionB())));
+    vars.insert(make_pair(std::string("c"), Variable("c", src.getRadialDistortionC())));
     vars.insert(make_pair(std::string("d"), Variable("d", src.getRadialDistortionCenterShift().x)));
     vars.insert(make_pair(std::string("e"), Variable("e", src.getRadialDistortionCenterShift().y)));
     vars.insert(make_pair(std::string("g"), Variable("g", src.getShear().x)));
@@ -125,9 +125,9 @@ void Transform::createTransform(const SrcPanoImage & s
     VariableMap vars;
     // not very nice, but I don't like to change all the stuff in this file..
     vars.insert(make_pair(std::string("v"), Variable(std::string("v"), src.getHFOV())));
-    vars.insert(make_pair(std::string("a"), Variable("a", src.getRadialDistortion()[0])));
-    vars.insert(make_pair(std::string("b"), Variable("b", src.getRadialDistortion()[1])));
-    vars.insert(make_pair(std::string("c"), Variable("c", src.getRadialDistortion()[2])));
+    vars.insert(make_pair(std::string("a"), Variable("a", src.getRadialDistortionA())));
+    vars.insert(make_pair(std::string("b"), Variable("b", src.getRadialDistortionB())));
+    vars.insert(make_pair(std::string("c"), Variable("c", src.getRadialDistortionC())));
     vars.insert(make_pair(std::string("d"), Variable("d", src.getRadialDistortionCenterShift().x)));
     vars.insert(make_pair(std::string("e"), Variable("e", src.getRadialDistortionCenterShift().y)));
     vars.insert(make_pair(std::string("g"), Variable("g", src.getShear().x)));
