--- src/hugin_base/vigra_ext/Interpolators.h.orig	2018-01-05 20:43:20 UTC
+++ src/hugin_base/vigra_ext/Interpolators.h
@@ -43,11 +43,11 @@ namespace vigra_ext {
 
 // Some locally needed math functions
 
-static double 	sinc		( double x );
-static double 	cubic01		( double x );
-static double 	cubic12		( double x );
+//static double 	sinc		( double x );
+//static double 	cubic01		( double x );
+//static double 	cubic12		( double x );
 
-static double sinc( double x )
+static inline double sinc( double x )
 {
     x *= M_PI;
     if(x != 0.0)
@@ -62,13 +62,13 @@ static double sinc( double x )
 static const double	A(-0.75);
 
 // 0 <= x < 1
-static double cubic01( double x )
+static inline double cubic01( double x )
 {
     return	(( A + 2.0 )*x - ( A + 3.0 ))*x*x +1.0;
 }
 // 1 <= x < 2
 
-static double cubic12( double x )
+static inline double cubic12( double x )
 {
     return	(( A * x - 5.0 * A ) * x + 8.0 * A ) * x - 4.0 * A;
 
