--- src/tools/nona.cpp.orig	2019-01-05 16:22:01 UTC
+++ src/tools/nona.cpp
@@ -115,7 +115,7 @@ int main(int argc, char* argv[])
 {
 
     // parse arguments
-    const char* optstring = "z:cho:i:t:m:p:r:e:vgd";
+    const char* optstring = "z:cho:i:t:m:p:r:e:vgdG";
     int c;
 
     bool doCoord = false;
@@ -133,6 +133,7 @@ int main(int argc, char* argv[])
     bool useGPU = false;
     std::string outputPixelType;
     bool createExposureLayers = false;
+    bool saveWeightsGraymap = true;
 
     enum
     {
@@ -323,6 +324,9 @@ int main(int argc, char* argv[])
                 // missing argument or invalid switch
                 return 1;
                 break;
+            case 'G':
+                saveWeightsGraymap = false;
+                break;
             default:
                 // this should not happen
                 abort();
@@ -545,6 +549,7 @@ int main(int argc, char* argv[])
                 break;
         };
     };
+    opts.saveWeightsGraymap = saveWeightsGraymap;
 
     DEBUG_DEBUG("output basename: " << basename);
 
